# Generated by Django 2.0.5 on 2018-09-06 14:39

from django.db import migrations


def update_provider_integration_statuses_defaults(apps, schema_editor):
    Provider = apps.get_model("accounts", "Provider")
    for provider in Provider.objects.all():
        if provider.integration_statuses.get("device_manufacturer_api_configured") is None:
            provider.integration_statuses.update({"device_manufacturer_api_configured": False})
            provider.save()


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0014_auto_20180906_0919'),
    ]

    operations = [
        # migrations.RunPython(update_provider_integration_statuses_defaults)
    ]
